FLUSH_WORK(9)

NAME
flush_work - wait for a work to finish executing the last queueing instance

SYNOPSIS

bool flush_work(struct work_struct * work);

ARGUMENTS

work
    the work to flush

DESCRIPTION

Wait until work has finished execution. work is guaranteed to be idle on return if it hasn't been requeued since flush started.

RETURN

true if flush_work waited for the work to finish execution, false if it was already idle.

COPYRIGHT